package com.ccnode.codegenerator.view;

package .tmp;

import com.intellij.openapi.actionSystem.ActionUpdateThread;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.DataKeys;
import com.intellij.openapi.actionSystem.DefaultActionGroup;
import com.intellij.openapi.actionSystem.Presentation;
import com.intellij.psi.PsiFile;
import com.intellij.psi.xml.XmlFile;
import com.intellij.psi.xml.XmlTag;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000*\n\002\030\002\n\002\030\002\n\002\b\002\n\002\030\002\n\000\n\002\020\013\n\000\n\002\030\002\n\000\n\002\020\002\n\000\n\002\030\002\n\000\030\0002\0020\001B\005¢\006\002\020\002J\b\020\003\032\0020\004H\026J\022\020\005\032\0020\0062\b\020\007\032\004\030\0010\bH\002J\020\020\t\032\0020\n2\006\020\013\032\0020\fH\026¨\006\r"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisXmlOnlyActionGroup;", "Lcom/intellij/openapi/actionSystem/DefaultActionGroup;", "()V", "getActionUpdateThread", "Lcom/intellij/openapi/actionSystem/ActionUpdateThread;", "isMybatisXmlFile", "", "psiFile", "Lcom/intellij/psi/PsiFile;", "update", "", "e", "Lcom/intellij/openapi/actionSystem/AnActionEvent;", "MyBatisCodeHelper-Pro241"})
public final class J extends DefaultActionGroup {
  public void update(@NotNull AnActionEvent paramAnActionEvent) {
    Intrinsics.checkNotNullParameter(paramAnActionEvent, "");
    PsiFile psiFile = (PsiFile)paramAnActionEvent.getData(DataKeys.PSI_FILE);
    Intrinsics.checkNotNullExpressionValue(paramAnActionEvent.getPresentation(), "");
    Presentation presentation = paramAnActionEvent.getPresentation();
    presentation.setVisible(a(psiFile));
  }
  
  private final boolean a(PsiFile paramPsiFile) {
    if (paramPsiFile instanceof XmlFile) {
      XmlTag xmlTag = ((XmlFile)paramPsiFile).getRootTag();
      if (xmlTag != null && Intrinsics.areEqual(xmlTag.getName(), "mapper"))
        return true; 
    } 
    return false;
  }
  
  @NotNull
  public ActionUpdateThread getActionUpdateThread() {
    return ActionUpdateThread.BGT;
  }
}
